> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Box Doc Gen templates

> Lists Box Doc Gen templates on which the user is a collaborator.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json GET /docgen_templates
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /docgen_templates:
    get:
      tags:
        - Box Doc Gen templates
      summary: List Box Doc Gen templates
      description: Lists Box Doc Gen templates on which the user is a collaborator.
      operationId: get_docgen_templates_v2025.0
      parameters:
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.


            This requires `usemarker` to be set to `true`.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Returns a collection of templates.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenTemplates'
        '400':
          description: >-
            Returned if the user has passed in a malformed marker or limit
            value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: >-
            Returned when the access token provided in the `Authorization`
            header is not recognized or not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: List Box Doc Gen templates
          source: |-
            curl -L 'https://api.box.com/2.0/docgen_templates' \
                 -H 'box-version: 2025.0' \
                 -H 'Authorization: Bearer <ACCESS_TOKEN>'
        - lang: dotnet
          label: List Box Doc Gen templates
          source: await client.DocgenTemplate.GetDocgenTemplatesV2025R0Async();
        - lang: swift
          label: List Box Doc Gen templates
          source: try await client.docgenTemplate.getDocgenTemplatesV2025R0()
        - lang: java
          label: List Box Doc Gen templates
          source: client.getDocgenTemplate().getDocgenTemplatesV2025R0()
        - lang: node
          label: List Box Doc Gen templates
          source: await client.docgenTemplate.getDocgenTemplatesV2025R0();
        - lang: python
          label: List Box Doc Gen templates
          source: client.docgen_template.get_docgen_templates_v2025_r0()
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    DocGenTemplates:
      description: List of Box Doc Gen templates.
      type: object
      allOf:
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: The marker for the start of the previous page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
        - properties:
            entries:
              description: A list of templates.
              type: array
              items:
                $ref: '#/components/schemas/DocGenTemplate'
      title: Box Doc Gen templates
      x-box-resource-id: docgen_templates_v2025.0
      x-box-tag: docgen_template
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    DocGenTemplate:
      description: A Box Doc Gen template object.
      type: object
      allOf:
        - $ref: '#/components/schemas/DocGenTemplate--Base'
        - properties:
            file_name:
              description: The name of the template.
              type: string
              example: Official contract
              nullable: true
      title: Box Doc Gen template
      x-box-resource-id: docgen_template_v2025.0
      x-box-tag: docgen_template
      x-box-variant: standard
      x-box-variants:
        - base
        - standard
    DocGenTemplate--Base:
      description: >-
        A base representation of a Box Doc Gen template, used when nested within
        another resource.
      type: object
      properties:
        file:
          allOf:
            - $ref: '#/components/schemas/FileReference'
            - description: Enable the file to generate a document from.
      title: Box Doc Gen template (Base)
      x-box-resource-id: docgen_template_v2025.0--base
      x-box-variant: base
      x-box-variants:
        - base
        - standard
    FileReference:
      description: File reference.
      type: object
      properties:
        type:
          description: The value will always be `file`.
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: ID of the object.
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: File reference
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````